Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Interface AjaxContainer

All Superinterfaces:
  AjaxContainerBase, AjaxSource

    public interface AjaxContainer

extends AjaxContainerBase, AjaxSource

Extend Ajax-enabled region to support event listeners on Ajax requests.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:39 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Method Summary
`void` | `encodeAjax(javax.faces.context.FacesContext context)` Encode AJAX response from this container ( call encode methods for selected components only )
`boolean` | `isRenderRegionOnly()` Is ajax container must re-render all output from page or only it's children ?
`void` | `setRenderRegionOnly(boolean reRenderPage)`

Methods inherited from interface org.ajax4jsf.component.AjaxContainerBase
`getAjaxListener, isImmediate, isSelfRendered, isSubmitted, setAjaxListener, setImmediate, setSelfRendered, setSubmitted`

Methods inherited from interface org.ajax4jsf.event.AjaxSource
`addAjaxListener, getAjaxListeners, removeAjaxListener`

Method Detail

### isRenderRegionOnly

    boolean isRenderRegionOnly()

  Is ajax container must re-render all output from page or only it's children ?

  Returns:
    true if all ajax-enabled to re-render araes on page must be checked for output.

### setRenderRegionOnly

    void setRenderRegionOnly(boolean reRenderPage)

### encodeAjax

    void encodeAjax(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Encode AJAX response from this container ( call encode methods for selected components only )

  Parameters:
    `context` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.